clang-tools 10.0.0

Public Attributes | List of all members
clang::clangd::DocumentOnTypeFormattingParams Struct Reference

`#include <Protocol.h>`

Collaboration diagram for clang::clangd::DocumentOnTypeFormattingParams:
[legend]

## Public Attributes
TextDocumentIdentifier | textDocument
| The document to format. More...
Position | position
| The position at which this request was sent. More...
std::string | ch
| The character that has been typed. More...

## Detailed Description

Definition at line 611 of file Protocol.h.

## Member Data Documentation

## ◆ ch

std::string clang::clangd::DocumentOnTypeFormattingParams::ch

The character that has been typed.

Definition at line 619 of file Protocol.h.

## ◆ position

Position clang::clangd::DocumentOnTypeFormattingParams::position

The position at which this request was sent.

Definition at line 616 of file Protocol.h.

## ◆ textDocument

TextDocumentIdentifier clang::clangd::DocumentOnTypeFormattingParams::textDocument

The document to format.

Definition at line 613 of file Protocol.h.

The documentation for this struct was generated from the following file:

- Protocol.h